<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:12 CEST 2021 -->
<title>FieldView</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FieldView";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FieldView.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/gui/FieldView.html" target="_top">Frames</a></li>
<li><a href="FieldView.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.java.awt.Component">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.gui</div>
<h2 title="Class FieldView" class="title">Class FieldView</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Canvas</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.gui.FieldView</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FieldView</span>
extends java.awt.Canvas</pre>
<div class="block"><p>
 A FieldView is a Canvas Component that shows a field of a chess board.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../serialized-form.html#de.rowlo.tridchess.gui.FieldView">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.BaselineResizeBehavior</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#ALLOWED_SHADE">ALLOWED_SHADE</a></span></code>
<div class="block">Highlighting used for a field.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#ATTACK_SHADE">ATTACK_SHADE</a></span></code>
<div class="block">Highlighting used for a field.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#ATTACKER_SHADE">ATTACKER_SHADE</a></span></code>
<div class="block">Highlighting used for a field.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#FORBIDDEN_SHADE">FORBIDDEN_SHADE</a></span></code>
<div class="block">Highlighting used for a field.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#GUARDED_SHADE">GUARDED_SHADE</a></span></code>
<div class="block">Highlighting used for a field.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#NO_SHADE">NO_SHADE</a></span></code>
<div class="block">Highlighting used for a field.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#SELECTED_SHADE">SELECTED_SHADE</a></span></code>
<div class="block">Highlighting used for a field.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#FieldView-int:A-java.awt.Point-java.awt.Point-">FieldView</a></span>(int[]&nbsp;posB,
         java.awt.Point&nbsp;posG,
         java.awt.Point&nbsp;ref)</code>
<div class="block">Construction of black field with position.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#FieldView-int:A-java.awt.Point-java.awt.Point-boolean-">FieldView</a></span>(int[]&nbsp;posB,
         java.awt.Point&nbsp;posG,
         java.awt.Point&nbsp;ref,
         boolean&nbsp;isWhite)</code>
<div class="block">Construction of white or black field with position.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#contains-java.awt.Point-">contains</a></span>(java.awt.Point&nbsp;p)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#getBoardPos--">getBoardPos</a></span>()</code>
<div class="block">Returns the field's board position.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.awt.Point</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#getGridPos--">getGridPos</a></span>()</code>
<div class="block">Returns the field's grid position.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.awt.Point</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#getRefPos--">getRefPos</a></span>()</code>
<div class="block">Returns the board's screen position.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#getScreenX--">getScreenX</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#getScreenY--">getScreenY</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#getShade--">getShade</a></span>()</code>
<div class="block">Returns the shade of the field.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#getShadeName--">getShadeName</a></span>()</code>
<div class="block">Returns the name of the shade of the field.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#getShadeName-int-">getShadeName</a></span>(int&nbsp;s)</code>
<div class="block">Returns the name of the shade of the field.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#paint-java.awt.Graphics-">paint</a></span>(java.awt.Graphics&nbsp;g)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#setBoardPos-int:A-">setBoardPos</a></span>(int[]&nbsp;pos)</code>
<div class="block">Sets a new position of the field.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#setGridPos-java.awt.Point-">setGridPos</a></span>(java.awt.Point&nbsp;pos)</code>
<div class="block">Sets a new position of the field.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#setRefPos-java.awt.Point-">setRefPos</a></span>(java.awt.Point&nbsp;ref)</code>
<div class="block">Sets a new position of the board on graphics device.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#setShade-int-">setShade</a></span>(int&nbsp;shade)</code>
<div class="block">Sets the shade of the field.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#setSize-java.awt.Dimension-">setSize</a></span>(java.awt.Dimension&nbsp;d)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../de/rowlo/tridchess/gui/FieldView.html#setUi-de.rowlo.tridchess.gui.ChessUi-">setUi</a></span>(<a href="../../../../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a>&nbsp;ui)</code>
<div class="block">Sets the ChessUi class for providing the current color scheme.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Canvas">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Canvas</h3>
<code>addNotify, createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, dispatchEvent, doLayout, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="NO_SHADE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NO_SHADE</h4>
<pre>public static final&nbsp;int NO_SHADE</pre>
<div class="block">Highlighting used for a field.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.FieldView.NO_SHADE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SELECTED_SHADE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SELECTED_SHADE</h4>
<pre>public static final&nbsp;int SELECTED_SHADE</pre>
<div class="block">Highlighting used for a field.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.FieldView.SELECTED_SHADE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ALLOWED_SHADE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ALLOWED_SHADE</h4>
<pre>public static final&nbsp;int ALLOWED_SHADE</pre>
<div class="block">Highlighting used for a field.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.FieldView.ALLOWED_SHADE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ATTACK_SHADE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ATTACK_SHADE</h4>
<pre>public static final&nbsp;int ATTACK_SHADE</pre>
<div class="block">Highlighting used for a field.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.FieldView.ATTACK_SHADE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="GUARDED_SHADE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GUARDED_SHADE</h4>
<pre>public static final&nbsp;int GUARDED_SHADE</pre>
<div class="block">Highlighting used for a field.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.FieldView.GUARDED_SHADE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FORBIDDEN_SHADE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FORBIDDEN_SHADE</h4>
<pre>public static final&nbsp;int FORBIDDEN_SHADE</pre>
<div class="block">Highlighting used for a field.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.FieldView.FORBIDDEN_SHADE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ATTACKER_SHADE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ATTACKER_SHADE</h4>
<pre>public static final&nbsp;int ATTACKER_SHADE</pre>
<div class="block">Highlighting used for a field.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#de.rowlo.tridchess.gui.FieldView.ATTACKER_SHADE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FieldView-int:A-java.awt.Point-java.awt.Point-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FieldView</h4>
<pre>public&nbsp;FieldView(int[]&nbsp;posB,
                 java.awt.Point&nbsp;posG,
                 java.awt.Point&nbsp;ref)</pre>
<div class="block">Construction of black field with position. The position is not screen
 position, but indices of the field grid.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>posB</code> - position on the board</dd>
<dd><code>posG</code> - position on the grid</dd>
<dd><code>ref</code> - top left coordinate of chess board on graphics device.</dd>
</dl>
</li>
</ul>
<a name="FieldView-int:A-java.awt.Point-java.awt.Point-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FieldView</h4>
<pre>public&nbsp;FieldView(int[]&nbsp;posB,
                 java.awt.Point&nbsp;posG,
                 java.awt.Point&nbsp;ref,
                 boolean&nbsp;isWhite)</pre>
<div class="block">Construction of white or black field with position. The position is not
 screen position, but indices of the field grid.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>posB</code> - position on the board</dd>
<dd><code>posG</code> - position on the grid</dd>
<dd><code>ref</code> - top left coordinate of chess board on graphics device.</dd>
<dd><code>isWhite</code> - true, if it's white party's field, false if black</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setBoardPos-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoardPos</h4>
<pre>public&nbsp;void&nbsp;setBoardPos(int[]&nbsp;pos)</pre>
<div class="block">Sets a new position of the field. This may happen, if attack boards
 changed location on a Tri-D chess board.</div>
</li>
</ul>
<a name="getBoardPos--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoardPos</h4>
<pre>public&nbsp;int[]&nbsp;getBoardPos()</pre>
<div class="block">Returns the field's board position.</div>
</li>
</ul>
<a name="setGridPos-java.awt.Point-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGridPos</h4>
<pre>public&nbsp;void&nbsp;setGridPos(java.awt.Point&nbsp;pos)</pre>
<div class="block">Sets a new position of the field. This may happen, if attack boards
 changed location on a Tri-D chess board.</div>
</li>
</ul>
<a name="getGridPos--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGridPos</h4>
<pre>public&nbsp;java.awt.Point&nbsp;getGridPos()</pre>
<div class="block">Returns the field's grid position.</div>
</li>
</ul>
<a name="setRefPos-java.awt.Point-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRefPos</h4>
<pre>public&nbsp;void&nbsp;setRefPos(java.awt.Point&nbsp;ref)</pre>
<div class="block">Sets a new position of the board on graphics device.</div>
</li>
</ul>
<a name="getRefPos--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRefPos</h4>
<pre>public&nbsp;java.awt.Point&nbsp;getRefPos()</pre>
<div class="block">Returns the board's screen position.</div>
</li>
</ul>
<a name="setUi-de.rowlo.tridchess.gui.ChessUi-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUi</h4>
<pre>public&nbsp;void&nbsp;setUi(<a href="../../../../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a>&nbsp;ui)</pre>
<div class="block">Sets the ChessUi class for providing the current color scheme.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ui</code> - </dd>
</dl>
</li>
</ul>
<a name="setShade-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setShade</h4>
<pre>public&nbsp;void&nbsp;setShade(int&nbsp;shade)</pre>
<div class="block">Sets the shade of the field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>shade</code> - </dd>
</dl>
</li>
</ul>
<a name="getShade--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShade</h4>
<pre>public&nbsp;int&nbsp;getShade()</pre>
<div class="block">Returns the shade of the field.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>shade</dd>
</dl>
</li>
</ul>
<a name="getShadeName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShadeName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getShadeName()</pre>
<div class="block">Returns the name of the shade of the field.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>shade</dd>
</dl>
</li>
</ul>
<a name="getShadeName-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShadeName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getShadeName(int&nbsp;s)</pre>
<div class="block">Returns the name of the shade of the field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - shade value</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>shade</dd>
</dl>
</li>
</ul>
<a name="getScreenX--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScreenX</h4>
<pre>public&nbsp;int&nbsp;getScreenX()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>screenX</dd>
</dl>
</li>
</ul>
<a name="getScreenY--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScreenY</h4>
<pre>public&nbsp;int&nbsp;getScreenY()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>screenY</dd>
</dl>
</li>
</ul>
<a name="setSize-java.awt.Dimension-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSize</h4>
<pre>public&nbsp;void&nbsp;setSize(java.awt.Dimension&nbsp;d)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>setSize</code>&nbsp;in class&nbsp;<code>java.awt.Component</code></dd>
</dl>
</li>
</ul>
<a name="contains-java.awt.Point-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>public&nbsp;boolean&nbsp;contains(java.awt.Point&nbsp;p)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>contains</code>&nbsp;in class&nbsp;<code>java.awt.Component</code></dd>
</dl>
</li>
</ul>
<a name="paint-java.awt.Graphics-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>paint</h4>
<pre>public&nbsp;void&nbsp;paint(java.awt.Graphics&nbsp;g)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>paint</code>&nbsp;in class&nbsp;<code>java.awt.Canvas</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FieldView.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?de/rowlo/tridchess/gui/FieldView.html" target="_top">Frames</a></li>
<li><a href="FieldView.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.java.awt.Component">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
